Name:           mod_authnz_persona
Version:        0.5
Release:        3%{?dist}
Summary:        Mozilla Persona Apache module

Group:          System Environment/Daemons
License:        ASL 2.0
URL:            https://github.com/mozilla/mod_authnz_persona
Packager:       Philippe M. Chiasson <gozer@ectoplasm.org>
Source:         https://people.mozilla.org/~pchiasson/dist/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  httpd-devel, pkgconfig, perl(Apache::Test), perl(URI::Escape), perl(Test::More), perl(HTTP::Cookies), json-c-devel, openssl-devel, curl-devel
Requires:       httpd, json-c, openssl, perl(URI::Escape), perl(HTTP::Cookies)

%description
This modules allows for Apache to authenticate users against Mozilla's Persona.

For more information : http://www.persona.org/

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm %{buildroot}/%{_libdir}/httpd/modules/*.la

%{__mkdir_p} %{buildroot}%{_sysconfdir}/httpd/conf.d
%{__cat} << EOF > %{buildroot}%{_sysconfdir}/httpd/conf.d/%{name}.conf
LoadModule authnz_persona_module modules/%{name}.so

Alias /login.shtml /usr/share/mod_authnz_persona/login.shtml
Alias /logout.shtml /usr/share/mod_authnz_persona/logout.shtml

<Directory  /usr/share/mod_authnz_persona/>
   <IfModule mod_include.c>
    AddType text/html .shtml
    AddOutputFilter INCLUDES .shtml
    Options +Includes
   </IfModule>
</Directory>

#make sure to allow the login page
<Location /login.shtml>
  Satisfy Any
  Allow from all
</Location>

#make sure to allow the logout page
<Location /logout.shtml>
   <IfModule mod_include.c>
    AddType text/html .shtml
    AddOutputFilter INCLUDES .shtml
    Options +Includes 
   </IfModule>
   require valid-user
</Location>

#AuthPersonaServerSecret SomeVerySecretPassword
# Sending cookies via http is a security risk, they could be stolen
AuthPersonaCookieSecure On
#<Location />
#  AuthType Persona
#  require valid-user
#</Location>

EOF

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README* ChangeLog
%{_libdir}/httpd/modules/*.so
%{_datadir}/%{name}/login.shtml
%{_datadir}/%{name}/logout.shtml
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf

%changelog
* Wed Oct 23 2013 Philippe M. Chiasson <gozer@ectoplasm.org
- Initial SPEC file
